- Qt 6.10
- Qt Charts
- QML Types
- LogValueAxis
- Qt Charts | Commercial or GPLv3

# LogValueAxis QML Type

Adds a logarithmic scale to a chart's axis. More...

Import Statement: | `import QtCharts 2.10`
In C++: | QLogValueAxis
Inherits: | AbstractAxis

- List of all members, including inherited members

## Properties

- base : real
- labelFormat : string
- max : real
- min : real
- minorTickCount : int
- tickCount : int

## Signals

- minorTickCountChanged(int minorTickCount)
- tickCountChanged(int tickCount)

## Detailed Description

A logarithmic scale is a nonlinear scale that is based on orders of magnitude, so that each tick mark on the axis is the previous tick mark multiplied by a value.

Note: If a LogValueAxis type is attached to a series with one or more points with negative or zero values on the associated dimension, the series will not be plotted at all. This is particularly relevant when XYModelMappers are used, since empty cells in models typically contain zero values.

## Property Documentation

base : real

The base of the logarithm.

The value has to be greater than 0 and cannot equal 1.

labelFormat : string

The label format of the axis.

The format string supports the following conversion specifiers, length modifiers, and flags provided by `printf()` in the standard C++ library: d, i, o, x, X, f, F, e, E, g, G, c.

If ChartView.localizeNumbers is `true`, the supported specifiers are limited to: d, e, E, f, g, G, and i. Also, only the precision modifier is supported. The rest of the formatting comes from the default QLocale of the application.

See also QString::asprintf().

max : real

The maximum value on the axis.

When setting this property, the minimum value is adjusted if necessary, to ensure that the range remains valid. The value has to be greater than 0.

min : real

The minimum value on the axis.

When setting this property, the maximum value is adjusted if necessary, to ensure that the range remains valid. The value has to be greater than 0.

minorTickCount : int

The number of minor tick marks on the axis. This indicates how many grid lines are drawn between major ticks on the chart. Labels are not drawn for minor ticks. The default value is 0. Set the value to -1 and the number of grid lines between major ticks will be calculated automatically.

tickCount : int `[read-only]`

The number of tick marks on the axis. This indicates how many grid lines are drawn on the chart. This value is read-only.

## Signal Documentation

minorTickCountChanged(int minorTickCount)

This signal is emitted when the number of minor tick marks on the axis, specified by minorTickCount, changes.

Note: The corresponding handler is `onMinorTickCountChanged`.

tickCountChanged(int tickCount)

This signal is emitted when the number of tick marks on the axis, specified by tickCount, changes.

Note: The corresponding handler is `onTickCountChanged`.